import { getSupabaseServerClient } from '@/packages/supabase/src/clients/server-client';

import { UpdateAccountSuccessNotification } from '@kit/notifications/components';

import { withI18n } from '~/lib/i18n/with-i18n';

async function UpdateAccountSuccess() {
  const client = getSupabaseServerClient();

  const {
    data: { user },
  } = await client.auth.getUser();

  return <UpdateAccountSuccessNotification userId={user?.id} />;
}

export default withI18n(UpdateAccountSuccess);
